cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Announcements
Join Customer Connection to register!
167
Views
5
Helpful
6
Replies
jedavis
Enthusiast

License level mismatch on SMU install?

I have a C9300 stack running Gibralter 16.12.3 and I ran into a bug.  Then I discovered that there was an SMU for the bug.  Having never installed a SMU I decided to give it a try.  I copied the cat9k_iosxe.16.12.03.CSCvt72427.SPA.smu.bin to flash and issued the install add command:

 

Switch#install add file flash:cat9k_iosxe.16.12.03.CSCvt72427.SPA.smu.bin
install_add: START Mon Mar 1 17:33:31 EST 2021
install_add: Adding SMU
install_add: Checking whether new add is allowed ....

--- Starting initial file syncing ---
[1]: Copying flash:cat9k_iosxe.16.12.03.CSCvt72427.SPA.smu.bin from switch 1 to switch 2 3
[2 3]: Finished copying to switch 2 switch 3
Info: Finished copying flash:cat9k_iosxe.16.12.03.CSCvt72427.SPA.smu.bin to the selected switch(es)
Finished initial file syncing

--- Starting SMU Add operation ---
Performing SMU_ADD on all members
[1] SMU_ADD package(s) on switch 1
FAILED: install_add /flash/cat9k_iosxe.16.12.03.CSCvt72427.SPA.smu.bin: Device license network-essentials does not match SMU license level dna-advantage
[1] Finished SMU_ADD on switch 1
[2] SMU_ADD package(s) on switch 2
FAILED: install_add /flash/cat9k_iosxe.16.12.03.CSCvt72427.SPA.smu.bin: Device license network-essentials does not match SMU license level dna-advantage
[2] Finished SMU_ADD on switch 2
[3] SMU_ADD package(s) on switch 3
FAILED: install_add /flash/cat9k_iosxe.16.12.03.CSCvt72427.SPA.smu.bin: Device license network-essentials does not match SMU license level dna-advantage
[3] Finished SMU_ADD on switch 3
Checking status of SMU_ADD on [1 2 3]
SMU_ADD: Passed on []. Failed on [1 2 3]
Finished SMU Add operation

FAILED: install_add exit(1) Mon Mar 1 17:33:46 EST 2021

 

What is up with that?  This is a patch that is supposed to resolve a bug with basic spanning-tree operation.  I didn't see anything about licensing restrictions in the documentation.  There is not a separate network-essentials and dna-advantage patch to download.

6 REPLIES 6
balaji.bandi
VIP Expert

we are not sure where this is a document to upgrade SMU, you already running 16.12.3 you having the same bug, are you sure?

there is a workaround is to the configuration :

 

Workaround:
Issue NOT happening (workarounds):

if native vlan is default (vlan1)
if the switch running 16.12.3 is downgraded to 16.12.2 OR 16.9.5
if customized STP vlan priority command is not in place (using customized native vlan & letting C9300 be the STP root)

 

if not fixed with the work around then you need  to upgrade IOS XE  16.12.4a

 

 

 



BB


*** Rate All Helpful Responses ***

Hi BB and thank you for your reply.

 

I do not like the workarounds as it forces this one interface on this one switch to use a non-standard configuration.  If the solution is to upgrade to a different version then what is the purpose of offering the SMU at all?  Since the SMU is being offered as a solution, why is the installer checking license levels?

Not sure which document offering SMU install can you point me, i may be missing some information, as per the bug you mentioned ( based on that i have advised )-  some time sure we may miss a bit small information, which leads to a different problem.

 

can you clarify for us, please?

 



BB


*** Rate All Helpful Responses ***

Hi BB.

 

My original post contains all of the pertinent information.  I don't know what more I can tell you.

Maybe we are still missing something here:CSCvt72427

 

can you post-show the version and dir from Switch please.

 

 

here is the bug information you mentioned - where does this say to install SMU?

 

https://bst.cloudapps.cisco.com/bugsearch/bug/CSCvt72427/?rfs=iqvred

 

 



BB


*** Rate All Helpful Responses ***

I understand that there are multiple ways to fix this problem.  One way is to load a newer release.  Another way is to install a SMU package.  If you look at the available software and you follow this path:

Downloads Home =>

Switches =>

Campus LAN Switches - Access =>

Catalyst 9300 Series Switches =>

Catalyst 9300-24UX-E Switch =>

IOS XE Software Maintenance Upgrades (SMU) =>

Gibraltar-16.12.3

You will find this SMU package:

Reload/Recommended SMU, Switch running 16.12.3 is not processing superior BPDUs for non-default native vlan
cat9k_iosxe.16.12.03.CSCvt72427.SPA.smu.bin

 

If Cisco did not ever intend this package to be used, why is it made available as a download?